QGIS Application - Bug report #19008
loading raster to Geopackage
2018-05-23 06:31 AM - Nihcas C

Status: Closed
Priority: Normal
Assignee: Alessandro Pasotti
Category: Rasters

Affected QGIS version:3.0.2
Operating System: Windows 10 Pro
Pull Request or Patch supplied:
Crashes QGIS or corruptsdata:

Regression?: No
Easy fix?: No
Resolution: not reproducable

Copied to github as #: 26839

Description

User Feedback

Report Details

Crash ID: fa40ef17619e0a47a3373d90434ea8cb343486b8
Stack Trace

memcpy :
GDALRasterBand::IRasterlO :
GDALRasterBand::RasterlO :
GDALWarpOperation::operator= :
QgsRasterFileWriter::writeDataRaster :
QgsRasterFileWriter::writeDataRaster :
QgsRasterFileWriter::writeRaster :
QgsRasterFileWriterTask::run :
QgsTask::start :
QThreadPoolPrivate::reset :
QThread::start :

BaseThreadInitThunk :
RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.2-Girona

QGIS code revision: commit:307d082e3d
Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2018-06-04 04:05 PM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

#2 - 2018-06-04 04:16 PM - Alessandro Pasotti
- Status changed from Open to Feedback

2025-12-22

12




| successfully loaded a 40000x40000 geotiff floating point raster into a gpkg.

I'm not able to reproduce this issue, can you please attach a minimal project and data and a step-by-step procedure to reproduce it?

Please notice that there are several ways to save a raster into a gpkg, please make sure you describe your exact procedure.

#3 - 2018-07-27 08:53 AM - Alessandro Pasotti
- Resolution set to not reproducable
- Status changed from Feedback to Closed

No feedback
